package com.sd.business.entity.in.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 * 出入库详情表
 * </p>
 *
 * @author
 * @since 2023-07-25
 */
@Getter
@Setter
@TableName("in_out_storage_details")
public class InOutStorageDetails extends BasePo {

    /**
     * 事业部id
     */
    private Long departmentId;

    /**
     * 仓库id
     */
    private Long warehouseId;

    /**
     * bom规格id
     */
    private Long bomSpecId;

    /**
     * 单价
     */
    private BigDecimal inUnitPrice;

    /**
     * 数量
     */
    private BigDecimal quantity;


}
