package com.sd.business.entity.lend.dto;

import com.ruoyi.common.core.domain.BaseSelectDto;
import lombok.Getter;
import lombok.Setter;

/**
 * 借出单列表查询入参实体
 *
 * @author
 * @since 2023-06-30
 */
@Getter
@Setter
public class LendSelectDto extends BaseSelectDto {

    /**
     * 借出单号
     */
    private String code;

    /**
     * 流程状态 0未发起 1进行中 2已通过 3已驳回 4已作废
     */
    private Integer flowStatus;

    /**
     * 归还状态 0未归还 1已归还
     */
    private Integer returnStatus;

}
