package com.sd.business.entity.order.dto;

import com.fjhx.file.entity.ObsFile;
import com.sd.business.entity.order.po.OrderSku;
import com.sd.business.entity.order.po.OrderSkuBom;
import lombok.Getter;
import lombok.Setter;

import javax.validation.Valid;
import java.util.List;

/**
 * 订单sku新增编辑入参实体
 *
 * @author
 * @since 2023-07-06
 */
@Getter
@Setter
public class OrderSkuDto extends OrderSku {

    /**
     * 订单号
     */
    private String orderCode;

    /**
     * 不干胶文件
     */
    private ObsFile selfAdhesiveStickerFile;

    /**
     * 订单包材
     */
    @Valid
    private List<OrderSkuBom> orderSkuBomList;

}
