package com.sd.business.entity.sku.dto;

import com.ruoyi.common.core.domain.BaseSelectDto;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

@Getter
@Setter
public class GetReplaceMaterialListDto extends BaseSelectDto {

    /**
     * 群组品号
     */
    private String skuCode;

    /**
     * sku品号
     */
    private String skuSpecCode;

    /**
     * bom品号
     */
    private String bomSpecCode;

    /**
     * sku长
     */
    private BigDecimal length;

    /**
     * sku宽
     */
    private BigDecimal width;

    /**
     * sku高
     */
    private BigDecimal height;

    /**
     * 类型 0非集团SKU 1集团SKU
     */
    private Integer type;

}
