package com.sd.business.entity.statement.vo;

import lombok.Builder;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

@Getter
@Setter
@Builder
public class DocumentByBomVo {

    /**
     * bom规格id
     */
    private Long bomSpecId;

    /**
     * bom品号
     */
    private String bomSpecCode;

    /**
     * bom品名
     */
    private String bomSpecName;

    /**
     * 数量
     */
    private BigDecimal quantity;

    /**
     * bom单价
     */
    private BigDecimal unitPrice;

    /**
     * 激光logo汇总
     */
    private BigDecimal laserLogoSummary;

    /**
     * 激光线粒体汇总
     */
    private BigDecimal laserMitochondrialSummary;

    /**
     * 代发费汇总
     */
    private BigDecimal lssueFeeSummary;

    /**
     * 快递包材费汇总
     */
    private BigDecimal deliveryMaterialsFeeSummary;

    /**
     * 包装人工费汇总
     */
    private BigDecimal packingLaborSummary;

    /**
     * 管理费汇总
     */
    private BigDecimal managementFeeSummary;

    /**
     * 小计
     */
    private BigDecimal subtotal;

    /**
     * 合计
     */
    private BigDecimal total;

    /**
     * 占位符
     */
    private Integer placeholder;

}
