package com.sd.business.mapper.in;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.in.po.InOutStorageDetails;
import com.sd.business.entity.in.vo.InOutStorageDetailsVo;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 出入库详情表 Mapper 接口
 * </p>
 *
 * @author dk
 * @since 2023-07-26
 */
public interface InOutStorageDetailsMapper extends BaseMapper<InOutStorageDetails> {

    /**
     * 出入库详情表分页
     */
    Page<InOutStorageDetailsVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<InOutStorageDetails> wrapper);


}
