import com.baomidou.dynamic.datasource.annotation.DSTransactional;
import com.sd.SdApplication;
import com.sd.business.entity.order.dto.OrderSelectDto;
import com.sd.business.service.outbound.OutboundOrderService;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import java.util.List;

@RunWith(SpringRunner.class)
@SpringBootTest(classes = SdApplication.class, webEnvironment = SpringBootTest.WebEnvironment.DEFINED_PORT)
public class E1_OrderOutCompare {

    @Autowired
    private OutboundOrderService outboundOrderService;

    /**
     * 订单对比
     */
    @DSTransactional
    @Test
    public void test() {
        OrderSelectDto orderSelectDto = new OrderSelectDto();
        orderSelectDto.setDepartmentId(1689164611148677121L);
        orderSelectDto.setException(0);
        orderSelectDto.setStatus(30);

        List<String> list = outboundOrderService.orderDeliveryComparison(orderSelectDto);
        list.forEach(System.out::println);

    }


}
