import com.baomidou.dynamic.datasource.annotation.DSTransactional;
import com.sd.SdApplication;
import com.sd.business.entity.production.dto.StockPreparationDto;
import com.sd.business.entity.production.vo.UncompletedVo;
import com.sd.business.service.production.StockPreparationService;
import com.sd.wln.service.WlnStatementOfAccount;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import java.util.List;

@RunWith(SpringRunner.class)
@SpringBootTest(classes = SdApplication.class, webEnvironment = SpringBootTest.WebEnvironment.DEFINED_PORT)
public class TestList {

    @Autowired
    private StockPreparationService stockPreparationService;

    @Autowired
    private WlnStatementOfAccount wlnStatementOfAccount;

    @DSTransactional
    @Test
    public void test2() {
        wlnStatementOfAccount.createStatementOfAccount();
    }

    @Test
    public void test() {
        StockPreparationDto stockPreparationDto = new StockPreparationDto();
        stockPreparationDto.setDepartmentId(1689164627162529793L);
        List<UncompletedVo> uncompletedVos = stockPreparationService.uncompletedList(stockPreparationDto);
        System.out.println();


        String sql = "update in_out_storage_details i INNER JOIN in_out_storage_bom iosb on i.bom_spec_id = iosb.bom_spec_id\n" +
                "set i.quantity = i.quantity + iosb.quantity";


        String sql2 = "SELECT DISTINCT\n" +
                "\twln_code \n" +
                "FROM\n" +
                "\torder_info oi\n" +
                "\tLEFT JOIN order_sku os ON oi.id = os.order_id \n" +
                "WHERE\n" +
                "\toi.department_id = 1689164627162529793\n" +
                "\tand os.blueprint is null\n" +
                "\tand os.production_document is null";

        String sql3 = "UPDATE order_sku os\n" +
                "INNER JOIN sku_spec ss ON os.sku_spec_id = ss.id \n" +
                "SET os.blueprint = ss.design_img_url,\n" +
                "os.production_document = ss.shared_folder";

    }


}
