package com.sd.business.entity.bom.bo;

import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

@Getter
@Setter
public class BomSpecBo {

    /**
     * bom规格id
     */
    private Long bomSpecId;

    /**
     * bom规格编码
     */
    private String bomSpecCode;

    /**
     * bom规格名称
     */
    private String bomSpecName;

    /**
     * 种类 字典:bom_species
     */
    private String bomSpecies;

    /**
     * 成本价
     */
    private BigDecimal costPrice;

    /**
     * 对内销售价(含税)
     */
    private BigDecimal internalSellingPrice;

    /**
     * 对外销售价(含税)
     */
    private BigDecimal externalSellingPrice;

    /**
     * 分类id
     */
    private Long classifyId;

    /**
     * 分类名称
     */
    private String classifyName;

    /**
     * 分类父id
     */
    private Long classifyParentId;

}
