package com.sd.business.entity.order.vo;

import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

@Getter
@Setter
public class SkuSpecPriceVo {

    /**
     * 定制加工费
     */
    private BigDecimal customProcessingFee;

    /**
     * 定制加工类型
     */
    private String customProcessingType;

    /**
     * 代发费
     */
    private BigDecimal lssueFee;

    /**
     * 快递包材费
     */
    private BigDecimal deliveryMaterialsFee;

    /**
     * 包装人工费
     */
    private BigDecimal packingLabor;

    /**
     * 管理费
     */
    private BigDecimal managementFee;

    /**
     * 单价
     */
    private BigDecimal unitPrice;

}
