package com.sd.business.entity.production.dto;

import com.ruoyi.common.core.domain.BaseSelectDto;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class StockPreparationDto extends BaseSelectDto {

    /**
     * 订单号
     */
    private String orderCode;

    /**
     * 万里牛订单号
     */
    private String orderWlnCode;

    /**
     * bom品号
     */
    private String bomSpecCode;

    /**
     * bom品名
     */
    private String bomSpecName;

    /**
     * sku品号
     */
    private String skuSpecCode;

    /**
     * sku品名
     */
    private String skuSpecName;

    /**
     * 事业部id
     */
    private Long departmentId;

    /**
     * 出库事业部id
     */
    private Long outDepartmentId;

    /**
     * 宽
     */
    private String width;

    /**
     * 备注
     */
    private String remark;

    /**
     * 申请人
     */
    private String applicant;

}
