package com.sd.business.entity.production.vo;

import lombok.Builder;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

@Getter
@Setter
@Builder
public class PackageBomVo {

    /**
     * bom规格id
     */
    private Long bomSpecId;

    /**
     * bom id
     */
    private Long bomId;

    /**
     * bom分类id
     */
    private Long bomClassifyId;

    /**
     * bom分类名称
     */
    private String bomClassifyName;

    /**
     * bom品名
     */
    private String bomSpecName;

    /**
     * sku品号
     */
    private String bomSpecCode;

    /**
     * 数量
     */
    private BigDecimal quantity;

}
