package com.sd.business.entity.purchase.vo;

import com.sd.business.entity.purchase.po.PurchaseBom;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

@Getter
@Setter
public class PurchaseBomInfoVo extends PurchaseBom {

    /**
     * bom id
     */
    private Long bomId;

    /**
     * 图片路径
     */
    private String mainImgUrl;

    /**
     * bom规格品名
     */
    private String name;

    /**
     * bom规格品号
     */
    private String code;

    /**
     * 颜色
     */
    private String colour;

    /**
     * 成本价
     */
    private BigDecimal costPrice;

    /**
     * 对内销售价(含税)
     */
    private BigDecimal internalSellingPrice;

    /**
     * 对外销售价(含税)
     */
    private BigDecimal externalSellingPrice;

    /**
     * 安全库存
     */
    private BigDecimal safetyStock;

    /**
     * 长 cm
     */
    private BigDecimal length;

    /**
     * 宽 cm
     */
    private BigDecimal width;

    /**
     * 高 cm
     */
    private BigDecimal height;

    /**
     * 净重 g
     */
    private BigDecimal netWeight;
}
