package com.sd.business.entity.purchase.vo;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 采购合同bom列表查询返回值实体
 *
 * @author
 * @since 2023-08-07
 */
@Getter
@Setter
public class PurchaseBomSelectVo {

    /**
     * bom id
     */
    private Long bomId;

    /**
     * bom品号
     */
    private String code;

    /**
     * bom 品名
     */
    private String name;

    /**
     * 项目小类 字典:bom_itemSubclass
     */
    private String itemSubclass;

    /**
     * 种类 字典:bom_species
     */
    private String species;

    /**
     * 正面纹路 字典:bom_frontGrain
     */
    private String frontGrain;

    /**
     * 背面纹路 字典:bom_reverseGrain
     */
    private String reverseGrain;

    /**
     * LOGO
     */
    private String logo;

    /**
     * 色层 字典:bom_chromatophore
     */
    private String chromatophore;

    /**
     * 压纹工艺 字典:bom_embossingProcess
     */
    private String embossingProcess;

    /**
     * 产品主图
     */
    private String mainImgUrl;

    /**
     * bom规格信息列表
     */
    private List<PurchaseBomInfoVo> bomSpecList;
}
