package com.sd.business.entity.sku.vo;

import com.sd.business.entity.sku.po.SkuSpecLink;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * sku规格关联列表查询返回值实体
 *
 * @author
 * @since 2023-07-07
 */
@Getter
@Setter
public class SkuSpecLinkVo extends SkuSpecLink {

    /**
     * 名称
     */
    private String name;

    /**
     * 对内销售价(含税)
     */
    private BigDecimal internalSellingPrice;

}
