package com.sd.business.entity.sku.vo;

import com.sd.business.entity.sku.po.SkuSpec;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * sku规格列表查询返回值实体
 *
 * @author
 * @since 2023-07-05
 */
@Getter
@Setter
public class SkuSpecVo extends SkuSpec {

    /**
     * bom规格编码
     */
    private String bomSpecCode;

    /**
     * bom规格名称
     */
    private String bomSpecName;

    /**
     * 包材
     */
    private List<SkuSpecLinkVo> packagingMaterialList;

    /**
     * 快递包装
     */
    private List<SkuSpecLinkVo> expressPackingList;

}
