package com.sd.business.mapper.supplier;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.supplier.po.Supplier;
import com.sd.business.entity.supplier.vo.SupplierVo;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 供应商 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-07-01
 */
public interface SupplierMapper extends BaseMapper<Supplier> {

    /**
     * 供应商分页
     */
    Page<SupplierVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<Supplier> wrapper);

}
